apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: portfolio-dev-ingress
  annotations:
    nginx.ingress.kubernetes.io/rewrite-target: /
    nginx.ingress.kubernetes.io/ssl-redirect: "true"
    cert-manager.io/cluster-issuer: "letsencrypt-prod"
spec:
  ingressClassName: traefik
  tls:
  - hosts:
    - dev.minjo0213.kro.kr
    secretName: portfolio-dev-tls
  rules:
    - host: dev.minjo0213.kro.kr
      http:
        paths:
          - path: /
            pathType: Prefix
            backend:
              service:
                name: portfolio-service
                port:
                  number: 80
